Redmine - Patch #10066

i18n not working with russian gem
2012-01-26 13:30 - Roland Discein

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: 118n Estimated time: 0.00 hour
Target version: 1.4.0

Description

r8629 brakes some views with gem russian enabled:
ActionView: :TemplateError (translation data {:one=>"1 3apmaua", :zero=>"0 3apmaua", :other=>"%{count

} 3amauu"} can not be used with :count => 11) on line #21 of app/views/versions/_overview.html.erb

Here is ru.yml_pluralize.patch to fix it.
Here is discussion about this bug.

Related issues:
Related to Redmine - Patch #12640: Russian "about_x_hours" translation change Closed
Related to Redmine - Patch #12645: Russian numeric translation Closed

Associated revisions

Revision 8939 - 2012-02-23 13:55 - Jean-Philippe Lang
i18n not working with russian gem (#10066).

History

#1 - 2012-01-26 16:16 - Etienne Massip

- Target version set to 1.4.0

#2 - 2012-02-23 13:55 - Jean-Philippe Lang

- Status changed from New to Closed

Patch applied in r8939.

Files

ru.yml_pluralize.patch 666 Bytes 2012-01-26 Roland Discein
https://www.redmine.org/projects/redmine/repository/svn/revisions/8629
https://www.redmine.org/attachments/7094
https://github.com/yaroslav/russian/issues/6
